> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Closed Quote Responses

> Lists quote responses closed for the caller's company. Closed quote responses are those either rejected, or accepted by both parties.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /quote/responses/closed
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /quote/responses/closed:
    get:
      tags:
        - Quote Responses
      summary: List Closed Quote Responses
      description: >-
        Lists quote responses closed for the caller's company. Closed quote
        responses are those either rejected, or accepted by both parties.
      parameters:
        - description: >-
            If true, returns shared/global quote responses instead of
            user-specific
          in: query
          name: shared
          schema:
            type: boolean
        - description: Only responses authored by the caller
          in: query
          name: sent
          schema:
            type: boolean
        - description: Only responses received by the caller
          in: query
          name: recieved
          schema:
            type: boolean
        - description: Filter by accepted (true) or rejected (false)
          in: query
          name: accepted
          schema:
            type: boolean
        - description: Max number of results to return (default 100)
          in: query
          name: limit
          schema:
            type: integer
        - description: Only include events created after this timestamp (unix seconds)
          in: query
          name: since
          schema:
            type: integer
        - description: Only include events created before this timestamp (unix seconds)
          in: query
          name: until
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/inbox.QuoteResponse'
                type: array
          description: Filtered closed quote responses
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: Server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    inbox.QuoteResponse:
      properties:
        content:
          $ref: '#/components/schemas/inbox.QuoteResponseContent'
        created_at:
          description: TODO open, change to unix timestamp?
          type: string
        id:
          type: string
        kind:
          type: integer
        public_key:
          type: string
        recipient_public_key:
          type: string
        reply_url:
          type: string
        root_id:
          type: string
        sig:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
        thread_id:
          type: string
        url:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    inbox.QuoteResponseContent:
      properties:
        company:
          type: string
        contact:
          type: string
        message:
          type: string
        meta:
          additionalProperties: true
          type: object
        quote:
          allOf:
            - $ref: '#/components/schemas/inbox.Quote'
          description: Quote Embedding
          type: object
        reason:
          description: For future use
          type: string
        status:
          description: '"accepted" or "rejected"'
          type: string
      type: object
    inbox.Quote:
      properties:
        content:
          $ref: '#/components/schemas/inbox.QuoteContent'
        created_at:
          description: TODO open, change to unix timestamp?
          type: string
        id:
          type: string
        kind:
          type: integer
        public_key:
          type: string
        recipient_public_key:
          type: string
        reply_url:
          type: string
        root_id:
          type: string
        sig:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
        thread_id:
          type: string
        url:
          type: string
      type: object
    inbox.QuoteContent:
      properties:
        attributes:
          $ref: '#/components/schemas/inbox.QuoteAttributes'
        company:
          description: Set app layer
          type: string
        contact:
          type: string
        errors:
          additionalProperties:
            type: string
          type: object
        lead_time:
          description: Slated for removal
          type: integer
        lead_time_raw:
          description: Slated For removal
          type: string
        message:
          type: string
        meta:
          additionalProperties: true
          type: object
        qty:
          type: integer
        schema_version:
          type: string
        terms:
          $ref: '#/components/schemas/inbox.QuoteTerms'
        timing:
          $ref: '#/components/schemas/inbox.QuoteTiming'
        unit_price:
          type: number
      type: object
    inbox.QuoteAttributes:
      properties:
        condition:
          type: string
        custom_attributes:
          additionalProperties: true
          type: object
        date_code:
          type: string
        packaging:
          type: string
      type: object
    inbox.QuoteTerms:
      properties:
        payment:
          $ref: '#/components/schemas/inbox.PaymentTerm'
        shipping:
          $ref: '#/components/schemas/inbox.Shipping'
      type: object
    inbox.QuoteTiming:
      properties:
        expiry:
          type: integer
        lead_time:
          type: string
        required_date:
          type: integer
      type: object
    inbox.PaymentTerm:
      properties:
        code:
          type: string
        currency:
          type: string
      type: object
    inbox.Shipping:
      properties:
        incoterm:
          type: string
        place:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````